QuantLib: SviInterpolation Class Reference

A free/open-source library for quantitative finance Reference manual - version 1.20

Public Member Functions | List of all members
SviInterpolation Class Reference

Svi smile interpolation between discrete volatility points. More...

`#include <ql/experimental/volatility/sviinterpolation.hpp>`

Inheritance diagram for SviInterpolation:
[legend]

## Public Member Functions
template<class I1 , class I2 >
| SviInterpolation (const I1 &xBegin, const I1 &xEnd, const I2 &yBegin, Time t, const Real &forward, Real a, Real b, Real sigma, Real rho, Real m, bool aIsFixed, bool bIsFixed, bool sigmaIsFixed, bool rhoIsFixed, bool mIsFixed, bool vegaWeighted=true, const ext::shared_ptr< EndCriteria > &endCriteria=ext::shared_ptr< EndCriteria >(), const ext::shared_ptr< OptimizationMethod > &optMethod=ext::shared_ptr< OptimizationMethod >(), const Real errorAccept=0.0020, const bool useMaxError=false, const Size maxGuesses=50)
Real | expiry () const
Real | forward () const
Real | a () const
Real | b () const
Real | sigma () const
Real | rho () const
Real | m () const
Real | rmsError () const
Real | maxError () const
const std::vector< Real > & | interpolationWeights () const
EndCriteria::Type | endCriteria ()
Public Member Functions inherited from Interpolation
bool | empty () const
Real | operator() (Real x, bool allowExtrapolation=false) const
Real | primitive (Real x, bool allowExtrapolation=false) const
Real | derivative (Real x, bool allowExtrapolation=false) const
Real | secondDerivative (Real x, bool allowExtrapolation=false) const
Real | xMin () const
Real | xMax () const
bool | isInRange (Real x) const
void | update ()
Public Member Functions inherited from Extrapolator
void | enableExtrapolation (bool b=true)
| enable extrapolation in subsequent calls
void | disableExtrapolation (bool b=true)
| disable extrapolation in subsequent calls
bool | allowsExtrapolation () const
| tells whether extrapolation is enabled

## Additional Inherited Members
Public Types inherited from Interpolation
typedef Real | argument_type
typedef Real | result_type
Protected Member Functions inherited from Interpolation
void | checkRange (Real x, bool extrapolate) const
Protected Attributes inherited from Interpolation
ext::shared_ptr< Impl > | impl_

## Detailed Description

Svi smile interpolation between discrete volatility points.